Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2002-AVI-270

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 10 janvier 2003
No CERTA-2002-AVI-270-001

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Vulnérabilité de Sun ONE / iPlanet Web Server sous Solaris (iPlanet Admin)


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2002-AVI-270

Gestion du document


Tableau 1: gestion du document
Référence CERTA-2002-AVI-270-001
Titre Vulnérabilité de Sun ONE / iPlanet Web Server sous Solaris (iPlanet Admin)
Date de la première version 18 décembre 2002
Date de la dernière version 10 janvier 2003
Source(s) Bulletin d'alerte de #49475 de Sun
Pièce(s) jointe(s) Aucune
   

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

Exécution de code arbitraire avec les permissions de l'administrateur root.

2 Systèmes affectés

  • Sun ONE / iPlanet Web Server 4.1 Service Pack 1 et toutes les versions précédentes.
  • Sun ONE / iPlanet Web Server 6.0 avec ou sans Service Pack 1
  • iPlanet Web Server 4.0 avec ou sans Service Pack.
  • Netscape Enterprise Server 3.x avec ou sans Service Pack.

3 Résumé

Il est possible d'amener l'administrateur du serveur Sun ONE Web Server à exécuter du code arbitraire par le biais de la console d'administration iPlanet Admin

4 Description

Un utilisateur mal intentionné peut, par le biais d'un script injecté dans les fichiers journaux de Sun ONE Web Server, amener l'administrateur observant ces journaux au moyen de la console iPlanet Admin à exécuter du code arbitraire sur le serveur Sun ONE Web Server.

Deux vulnérabilités sont exploitées :

  • une vulnérabilité dite de « Cross Site Scripting » (XSS) à travers les fichiers journaux ;
  • une vulnérabilité de la fonction Open() permettant l'exécution de code arbitraire sous Sun ONE Web Server.

5 Contournement provisoire

Eviter d'utiliser la console iPlanet Admin pour observer les fichiers journaux.

6 Solution

Consulter le bulletin d'alerte #49475 de Sun (voir le paragraphe Documentation) pour connaître la disponibilité des correctifs.

7 Documentation

Gestion détaillée du document

18 décembre 2002
version initiale.
10 janiver 2003
seconde version : modification des systèmes affectés et du paragraphe solution.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-09-19